Recommended Browsers for UW-Colleges and UW-Extension Web Applications

This document identifies recommended/supported browsers, browser settings, and software for UW Colleges and/or UW Extension Web Applications.

Application

Operating System

Supported Browsers

Recommended Settings

Recommended Software

Blackboard Collaborate Web Conferencing Version 12.6

The source of this information is the vendor site:  http://blackboard.force.com/apex/publickbarticleview?id=kAB700000008P8m

DEFINITIONS OF TERMS

Certified: fully tested & supported
Compatible:
partially tested & supported
Provisional: untested but supported

*For information on Firefox's public development channels, refer to Firefox's Releases page.  All other Firefox channels are unsupported.

**For information on Chrome's release channels, refer to the Chrome Release Channels page. All other Chrome channels are unsupported.

Please Note: Chrome does not support Java 7 on the Mac platform. A 64-bit browser (Safari or Firefox, forexample) is required to run Java 7 on Mac OS X.  32-bit browsers such as Chrome do not support Java 7 on the Mac platform.

Windows 8

Internet Explorer 11 - Certified
Internet Explorer 10 - Certified
Firefox (Latest Stable Release)* - Certified
Chrome (Stable Channel)** - Certified

  256 MB RAM

  20 MB free disk space

  Internet Access - 28.8 kbps or above

A Broadband connection is highly recommended

 Soundcard w/microphone/headphones

A headset w/microphone is highly recommended

  Webcam (optional)


 

NOTE: Thin client solutions such as Citrix Metaframe are not supported for use with Blackboard Collaborate web conferencing.
 

Supported versions of Java:  

32-bit operating systems require a 32-bit JVM.
64-bit operating systems require a 64-bit JVM.

 
Windows XP, Vista, 7 & 8
Java SE 6U13 or higher
Java SE 7
Java Access Bridge 2.0.1

Mac OS X:
Apple Java 1.5.0_16 + (J2SE5 32-bit)
Apple Java 1.6.0_07 + (J2SE6 64-bit)
Oracle Java 1.7


Compatible PowerPoint versions :
 
Windows Vista, 7 and 8:
PowerPoint 2007 (.ppt & .pptx)
PowerPoint 2007 (.ppt & .pptx)
PowerPoint 2003 (.ppt)
 
Windows XP:
PowerPoint 2007 (.ppt & .pptx)
PowerPoint 2007 (.ppt & .pptx)
PowerPoint 2003 (.ppt)
 
Mac OS X (10.6, 10.7, 10.8 & 10.9):
PowerPoint 2011 (.ppt & .pptx)
PowerPoint 2008 (.ppt & .pptx)
PowerPoint 2004 (.ppt)

Windows 7

Internet Explorer 11 - Certified
Internet Explorer 10 - Provisional
Internet Explorer 9 - Certified
Internet Explorer 8 - Compatible
Firefox (Latest Stable Release)* - Certified
Chrome (Stable Channel)** - Certified

Windows Vista

Internet Explorer 9 - Certified
Internet Explorer 8 - Compatible
Firefox (Latest Stable Release)* - Compatible
Chrome (Stable Channel)** - Compatible

Windows XP  
Only 32-bit w/32-bit jvm

Internet Explorer 9 - Certified
Internet Explorer 8 - Compatible
Firefox (Latest Stable Release)* - Compatible
Chrome (Stable Channel)**- Compatible

Mac OS X v10.9

Safari 7 - Compatible
Firefox (Latest Stable Release)* - Compatible

Mac OS X v10.8

Safari 6 - Certified
Firefox (Latest Stable Release)* - Compatible

Mac OS X v10.7

Safari 6 - Compatible
Firefox (Latest Stable Release)* - Compatible

Mac OS X v10.6

Safari 5.1 - Provisional
Safari 5.0 - Provisional
Firefox (Latest Stable Release)* -
Provisional
Chrome (Stable Channel)*
* - Provisional

D2L

DoIT KB article 3210 is the source of this information:https://kb.doit.wisc.edu/luwmad/page.php?id=3210
 
DoIT's got the info from the Software Vendor: Vendor Support Knowledge Base

 
Alternative and newer versions of the listed operating systems and browsers may or may not work properly with Learn@UW in certain cases, but there should be no expectation that they do.

Windows

Internet Explorer 9, 10 and 11
Firefox (current version)
Chrome (current version)

NOTE: CITS recommends using Firefox or Chrome if problems occur with IE.

The browser must be configured to accept both 1st and 3rd party cookies.
 
Javascript must be enabled.

Firefox: It is recommended you turn  off the pop-up blocker.
 
In addition to the items above, any browser on any platform that supports Javascript and allows cookies should work with this system.

Install the following software for full functionality:
 
Sun Java Runtime Environment 6 or greater is required for Online  Rooms. Mac OS system updates   include Java.
 
Adobe Flash Player 10.1 or greater is required to use the Record Audio and Record Video features.

 
NOTE: There is a "System Check" on the D2L Login page that will test browsers and plugins for compatibility with D2L.

Mac OS X v10

Safari 5.1 and 6
Firefox (current version)
Chrome (current version)

Tablet Support for
Desktop Web

Android (current version)
iPad Safari (current version)
Playbook Browser (current version)
Microsoft Surface Internet Explorer 10

Mobile Web

iOS 6 or later
Android 4.0 or later
Blackberry 7 and 10

Office 365
 
Tom Reines is the source of this information.

Windows 8

Internet Explorer 10 - Best
Internet Explorer 11 - Best
Firefox (current version or one previous) - Best
Chrome (current version or one previous) - Best
Safari 5 - Light

 

 

Windows 7

Internet Explorer 8 - Good
Internet Explorer 9 - Best
Internet Explorer 10 - Best
Internet Explorer 11 - Best
Firefox (current version or one previous) - Best
Chrome (current version or one previous) - Best
Safari 5 - Light

Windows Vista

Internet Explorer 8 - Good
Internet Explorer 9 - Best
Firefox (current version or one previous) - Best
Chrome (current version or one previous) - Good  
Safari 5 - Light

Windows XP

Internet Explorer 8 - Good
Firefox (current version or one previous) - Best
Chrome (current version or one previous) - Good
Safari 5 – Light  

Mac OS X v10.9

Safari 7

Mac OS X v10.8

Safari 6 or later – Best
Firefox (current version or one previous) - Best
Chrome (current version or one previous) – Best

Mac OS X v10.7

Safari 6 or later – Best
Firefox (current version or one previous) - Best
Chrome (current version or one previous) – Best

PRISM (PeopleTools version 8.53)

Vivek Deshpande is the source of this information.
  
Alternative & newer versions of the listed operating systems & browsers may or may not work properly with PRISM in certain cases, but there should be no expectation they do.

Windows 8 (64-bit)

Internet Explorer 10
Google Chrome 24
Firefox 17 +

Windows 7 (32-bit and 64-bit)   +   Internet Explorer 10:

Add PRISM to Compatibility View and Trusted Sites to fix many, but not all of the PRISM functions that are broken in theses specific versions of OS + Browser.

 

Windows 7 (64-bit)

Internet Explorer 8 and 9
Google Chrome 24
Firefox 17 +

Windows 7 (32-bit)

Internet Explorer 8 and 9

VPN (Cisco AnyConnect)

- Clientless: https://uwcxvpn.uwex.uwc.edu
- Client v 3.1.05160:
https://uwcxvpn.uwex.uwc.edu/uwcx

 
David Dingman is the source of this information.

Windows 8

Internet Explorer 10 and 11
Firefox (current version)
Chrome

All versions of Internet Explorer:
Add VPN to your Trusted Sites.
 
Internet Explorer 10 and above:
Add VPN to Compatibility view.
 
Mac OS X:
Add VPN to Firefox allowed sites.

All Operating Systems:

Java 7 (all versions) does NOT work with Cisco AnyConnect VPN.

Recommended Java version:  6U45

Windows 7

Internet Explorer 9, 10 and 11
Firefox (current version)
Chrome

Windows XP

Internet Explorer 9, 10 and 11
Firefox (current version)
Chrome

Mac OS X v10.9

Firefox (current version)
Chrome

Mac OS X v10.8

Firefox (current version)
Chrome

Android Mobile
Devices

Client recommended (Google Play Store)

iPhone

Client recommended (Apple App Store)

SFS (Shared Financial System)

DoIT KB article 4170 is the source of this info: https://kb.wisc.edu/helpdesk/page.php?id=4170

Windows 8

Internet Explorer 10
Chrome 13

 

 

Windows 7

Internet Explorer 8, 9 and 10
Firefox 3.6 and 7
Chrome 13

Windows Vista

Internet Explorer 8 and 9
Firefox 3.6 and 7
Chrome 13

Mac OS X v10.8

Safari 6
Firefox 3.6 and 7
Chrome 13

Mac OS X v10.7

Safari 5 & 6
Firefox 3.6 and 7
Chrome 13

Mac OS X v10.6

Safari 5
Firefox 3.6 and 7
Chrome 13

WISDM
 
WISDM is the Data Warehouse for SFS.
 
According to a DoIT Help Desk Technician the recommended browsers for WISDM are the same as those recommended for SFS.
 
DoIT has no KB document which equivocally states this.

Windows 8

Internet Explorer 10
Chrome 13


 

Windows 7

Internet Explorer 8, 9 and 10
Firefox 3.6 and 7
Chrome 13

Windows Vista

Internet Explorer 8 and 9
Firefox 3.6 and 7
Chrome 13

Mac OS X v10.8

Safari 6
Firefox 3.6 and 7
Chrome 13

Mac OS X v10.7

Safari 5 and 6
Firefox 3.6 and 7
Chrome 13

Mac OS X v10.6

Safari 5
Firefox 3.6 and 7
Chrome 13

See Also:




Keywords:recommended supported browser browsers web internet apps applications   Doc ID:42468
Owner:Ken R.Group:UW-Extension and Colleges
Created:2014-08-04 19:08 CSTUpdated:2017-02-15 15:42 CST
Sites:UW-Extension and Colleges
Feedback:  1   0